VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties
VisiMath.MoveTransformation Class Reference

Transformation allowing only movement, no rotation / scaling. More...

Inheritance diagram for VisiMath.MoveTransformation:

List of all members.

## Public Member Functions
virtual void | UpdateMatrix ()
| Updates Matrix from internal values and sets changed to false.
override void | GetAll (out Vector3 pos, out Quaternion rot, out Vector3 scale, out float uniscale)
| Used to quickly get all of the properties with one call.
override void | GetAll (out Vector3 pos, out Vector3 rot, out Vector3 scale, out float uniscale)
| Used to quickly get all of the properties with one call.
override void | SetCurrentState (TransformationState state)
override void | WriteXml (System.Xml.XmlWriter writer)
override void | ReadXml (System.Xml.XmlReader reader)
| Deserializes object from XML.
override string | ToString ()
override ITransformation | GetCopy ()
| Returns copy of the transformation.
## Protected Member Functions
override void | MulMatrix (ref Matrix4 m)
| No direct manipulation with the matrix allowed!
## Protected Attributes
Vector3 | _position = new Vector3(0)
| Position stored directly in the vector.
bool | _changed = false
## Properties
bool | changed`[get, set]`
| Internal value used to watch for changes in parameters for matrix recalculation.
override bool | Movable`[get]`
| True if object supports movement.
override Vector3 | Position`[get, set]`
| Position in vector.
override Matrix4 | TransMatrix`[get, set]`
| Updates if needed and returns transformation. No direct changes to matrix allowed.
override Quaternion | Rotation`[get, set]`
| Rotation is always Identity.
override Vector3 | RPY`[get, set]`
| RPY is always 0,0,0.
override Vector3 | Scale`[get, set]`
| Scale is always 1,1,1.
override float | UniformScale`[get, set]`
| Uniform scale is always 1.

## Detailed Description

Transformation allowing only movement, no rotation / scaling.

## Member Function Documentation

override void VisiMath.MoveTransformation.GetAll | ( | out Vector3 | pos,
|  | out Quaternion | rot,
|  | out Vector3 | scale,
|  | out float | uniscale
| ) |  | `[virtual]`

Used to quickly get all of the properties with one call.

Parameters:

  pos | Position vector
  rot | quaternion rotation
  scale | Scale
  uniscale | Uniform Scale

Reimplemented from VisiMath.BaseTransformation.

Reimplemented in VisiMath.RPYTransformation, VisiMath.QTransformation, and VisiMath.Transformation.

override void VisiMath.MoveTransformation.GetAll | ( | out Vector3 | pos,
|  | out Vector3 | rot,
|  | out Vector3 | scale,
|  | out float | uniscale
| ) |  | `[virtual]`

Used to quickly get all of the properties with one call.

Parameters:

  pos | Position vector
  rot | RPY rotation
  scale | Scale
  uniscale | Uniform Scale

Reimplemented from VisiMath.BaseTransformation.

Reimplemented in VisiMath.RPYTransformation, VisiMath.QTransformation, and VisiMath.Transformation.

override ITransformation VisiMath.MoveTransformation.GetCopy | ( |  | ) | `[virtual]`

Returns copy of the transformation.

Returns:

Reimplemented from VisiMath.BaseTransformation.

Reimplemented in VisiMath.RPYTransformation, VisiMath.QTransformation, VisiMath.Transformation, VisimBox.Renderer.StandardCamera, and VisimBox.Renderer.FPSCamera.

override void VisiMath.MoveTransformation.MulMatrix | ( | ref Matrix4 | m | ) | `[protected, virtual]`

No direct manipulation with the matrix allowed!

Parameters:

  m |

Reimplemented from VisiMath.BaseTransformation.

override void VisiMath.MoveTransformation.ReadXml | ( | System.Xml.XmlReader | reader | ) | `[virtual]`

Deserializes object from XML.

Parameters:

  reader | XML reader

Reimplemented from VisiMath.BaseTransformation.

Reimplemented in VisiMath.RPYTransformation, VisiMath.QTransformation, VisiMath.Transformation, VisimBox.Renderer.StandardCamera, and VisimBox.Renderer.FPSCamera.

override void VisiMath.MoveTransformation.SetCurrentState | ( | TransformationState | state | ) | `[virtual]`

Reimplemented from VisiMath.BaseTransformation.

Reimplemented in VisiMath.RPYTransformation, VisiMath.QTransformation, and VisiMath.Transformation.

override string VisiMath.MoveTransformation.ToString | ( |  | ) |

Reimplemented from VisiMath.BaseTransformation.

Reimplemented in VisiMath.RPYTransformation, VisiMath.QTransformation, VisiMath.Transformation, VisimBox.Renderer.StandardCamera, and VisimBox.Renderer.FPSCamera.

virtual void VisiMath.MoveTransformation.UpdateMatrix | ( |  | ) | `[virtual]`

Updates Matrix from internal values and sets changed to false.

Reimplemented in VisiMath.RPYTransformation, VisiMath.QTransformation, VisiMath.Transformation, and VisimBox.Renderer.StandardCamera.

override void VisiMath.MoveTransformation.WriteXml | ( | System.Xml.XmlWriter | writer | ) | `[virtual]`

Reimplemented from VisiMath.BaseTransformation.

Reimplemented in VisiMath.RPYTransformation, VisiMath.QTransformation, VisiMath.Transformation, VisimBox.Renderer.StandardCamera, and VisimBox.Renderer.FPSCamera.

## Member Data Documentation

bool VisiMath.MoveTransformation._changed = false`[protected]`

Vector3 VisiMath.MoveTransformation._position = new Vector3(0)`[protected]`

Position stored directly in the vector.

## Property Documentation

bool VisiMath.MoveTransformation.changed`[get, set, protected]`

Internal value used to watch for changes in parameters for matrix recalculation.

override bool VisiMath.MoveTransformation.Movable`[get]`

True if object supports movement.

Reimplemented from VisiMath.BaseTransformation.

override Vector3 VisiMath.MoveTransformation.Position`[get, set]`

Position in vector.

Reimplemented from VisiMath.BaseTransformation.

override Quaternion VisiMath.MoveTransformation.Rotation`[get, set]`

Rotation is always Identity.

Reimplemented from VisiMath.BaseTransformation.

Reimplemented in VisiMath.RPYTransformation, VisiMath.QTransformation, and VisimBox.Renderer.FPSCamera.

override Vector3 VisiMath.MoveTransformation.RPY`[get, set]`

RPY is always 0,0,0.

Reimplemented from VisiMath.BaseTransformation.

Reimplemented in VisiMath.RPYTransformation, and VisiMath.QTransformation.

override Vector3 VisiMath.MoveTransformation.Scale`[get, set]`

Scale is always 1,1,1.

Reimplemented from VisiMath.BaseTransformation.

Reimplemented in VisiMath.Transformation.

override Matrix4 VisiMath.MoveTransformation.TransMatrix`[get, set]`

Updates if needed and returns transformation. No direct changes to matrix allowed.

Reimplemented from VisiMath.BaseTransformation.

override float VisiMath.MoveTransformation.UniformScale`[get, set]`

Uniform scale is always 1.

Reimplemented from VisiMath.BaseTransformation.

Reimplemented in VisiMath.Transformation.

The documentation for this class was generated from the following file:

- Transformation.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events